<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_items', function (Blueprint $table) {
            $table->id();
            $table->string('name', 50)->index()->comment('使用者');
            $table->dateTime('times')->nullable()->index()->comment('获得时间');
            $table->text('gg')->nullable()->comment('道具类型/说明');
            $table->integer('dayy')->nullable()->comment('道具天数/数量');
            $table->string('lx', 50)->nullable()->comment('道具种类');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_items');
    }
};
